<template>
  <div class="userManagement_box">
    <My-bread :list="['运维管理', '用户管理']"></My-bread>
    <el-divider />
    <div class="inquire">
      <el-form ref="formData1" :model="form" :inline="true">
        <el-form-item label="角色名称" prop="name">
          <el-input v-model="form.name" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="权限字符" prop="jurisdiction">
          <el-input v-model="form.jurisdiction" placeholder="请输入" />
        </el-form-item>
        <el-form-item label="角色状态" prop="region">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="Zone one" value="shanghai" />
            <el-option label="Zone two" value="beijing" />
          </el-select>
        </el-form-item>

        <el-form-item>
          <el-button type="primary" @click="onSubmit">查询</el-button>
          <el-button @click="resetForm()">重置</el-button>
        </el-form-item>
      </el-form>
      <div class="btn_box">
        <el-button>添加</el-button>
        <el-button>修改</el-button>
        <el-button>导出</el-button>
        <el-button>删除</el-button>
      </div>
    </div>
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%">
        <el-table-column type="selection" width="55" />
        <el-table-column prop="user" label="用户名" />
        <el-table-column prop="name" label="姓名" />
        <el-table-column prop="email" label="邮箱" />
        <el-table-column prop="phone" label="联系方式" />
        <el-table-column   fixed="right"  prop="permission" label="权限" />
        <!-- <el-table-column label="操作" width="280">
          <template #default>
            
            <el-button type="primary" size="small">删除</el-button>
          </template>
        </el-table-column> -->
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage4"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="5"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      form: {
        name: "",
        region: "",
        jurisdiction: "",
      },
      tableData: [
        {
          name: "张三",
          user: "admin",
          email: "admin@daa.com",
          phone: "182111199328",
          permission: "管理员",
        },
        {
          name: "李四",
          user: "admin",
          email: "admin@daa.com",
          phone: "182111199328",
          permission: "管理员",
        },
        {
          name: "王五",
          user: "admin",
          email: "admin@daa.com",
          phone: "182111199328",
          permission: "管理员",
        },
        {
          name: "赵氏",
          user: "admin",
          email: "admin@daa.com",
          phone: "182111199328",
          permission: "管理员",
        },

        {
          name: "张三",
          user: "admin",
          email: "admin@daa.com",
          phone: "182111199328",
          permission: "管理员",
        },
      ],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log("submit!");
    },
    resetForm() {},
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.userManagement_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .inquire {
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
  }
  .table_box {
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
}
</style>
